Bug 154751 - [MAINTAINER UPDATE] sysutils/busybox from 1.18.2 to 1.18.3
Summary: [MAINTAINER UPDATE] sysutils/busybox from 1.18.2 to 1.18.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-13 20:50 UTC by Chris Rees
Modified: 2011-02-14 01:00 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Rees 2011-02-13 20:50:06 UTC
	- Update sysutils/busybox to 1.18.3
	- busybox-1.18.3 is a bugfix release:
		* hush (fix for "cmd & [Enter]" behavior)
		* ping (IPv6 fix)
		* tar (fix for "tar -xzf FILE.tgz")
		* udhcp (fix for options specified in hex)
		* wc (-c and -m were swapped)
		* libbb (fixed a case when fork+(exec error) was leaving a zombie)
		* build system (does not force FEATURE_SUID anymore)

	PR:
	Submitted by:	Chris Rees (utisoft_at_gmail.com) (maintainer)

Tested on i386 for 7.3-RELEASE, 8.1-RELEASE and 9900030:
- http://tinderbox.bayofrum.net/index.php?action=describe_port&id=2

--- busybox-1.18.3.diff begins here ---
Index: Makefile
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/sysutils/busybox/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- Makefile	5 Feb 2011 08:48:13 -0000	1.9
+++ Makefile	13 Feb 2011 15:06:43 -0000
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	busybox
-PORTVERSION=	1.18.2
+PORTVERSION=	1.18.3
 CATEGORIES=	sysutils misc shells
 MASTER_SITES=	http://www.busybox.net/downloads/ \
 		http://distfiles.gentoo.org/distfiles/
Index: distinfo
===================================================================
RCS file: /exports/cvsroot-freebsd/ports/sysutils/busybox/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- distinfo	5 Feb 2011 08:48:13 -0000	1.3
+++ distinfo	13 Feb 2011 15:06:43 -0000
@@ -1,2 +1,2 @@
-SHA256 (busybox-1.18.2.tar.bz2) = aa7e1cec8cd9c7f4e56098b9e4bb2ab5d593d5a35f766ad9e6a312289bf57080
-SIZE (busybox-1.18.2.tar.bz2) = 2129503
+SHA256 (busybox-1.18.3.tar.bz2) = 83f112ee88b7eb85bea1cac0b1af33f61387a1036f1898c5ecd79813191a619b
+SIZE (busybox-1.18.3.tar.bz2) = 2119251
--- busybox-1.18.3.diff ends here ---



-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.
Comment 1 Chris Rees 2011-02-13 21:13:40 UTC
Sorry, looks like send-pr munged the patch somehow... (or more likely me...)

It's at http://www.bayofrum.net/~chris/patches/busybox-1.18.3.diff

Chris
Comment 2 Sahil Tandon freebsd_committer 2011-02-13 22:11:24 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Take.
Comment 3 dfilter service freebsd_committer 2011-02-14 00:50:16 UTC
sahil       2011-02-14 00:49:58 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/busybox     Makefile distinfo 
  Log:
  - Update to 1.18.3
  
  PR:             ports/154751
  Submitted by:   Chris Rees <utisoft@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.10      +1 -1      ports/sysutils/busybox/Makefile
  1.4       +2 -2      ports/sysutils/busybox/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Sahil Tandon freebsd_committer 2011-02-14 00:50:28 UTC
State Changed
From-To: open->closed

Committed. Thanks!